# Class RenderState

Class RenderState

Encapsulates the logic used to get a "current render process" in accordance to the currentyl applicable controller settings. The provided StateProxy serves to hold any mutalbe state used in the render process, so the rest of the render engine can be stateless.

Declaration :

- C++ : class RenderState

Artifact : renderstate

Operation getStateProxy

Declaration :

- Uml : + getStateProxy() : State
- C++ : public: State getStateProxy ()

All public operations : getStateProxy